package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class Vstatistiche.
 * @see sicura.entities.Vstatistiche
 * @author Hibernate Tools
 */
@Stateless
public class VstatisticheHome {

	private static final Log log = LogFactory.getLog(VstatisticheHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(Vstatistiche transientInstance) {
		log.debug("persisting Vstatistiche instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(Vstatistiche persistentInstance) {
		log.debug("removing Vstatistiche instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public Vstatistiche merge(Vstatistiche detachedInstance) {
		log.debug("merging Vstatistiche instance");
		try {
			Vstatistiche result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public Vstatistiche findById(VstatisticheId id) {
		log.debug("getting Vstatistiche instance with id: " + id);
		try {
			Vstatistiche instance = entityManager.find(Vstatistiche.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
